#
# spec file for package c-dvar
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           c-dvar
%define lname	libcdvar0
Version:        1.7
Release:        bp156.3.5
Summary:        Library implementing the D-Bus Variant type system
License:        Apache-2.0
Group:          Development/Libraries/C and C++
Url:            https://github.com/c-util/c-dvar

Source:         %name-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  meson
BuildRequires:  pkgconfig

%description
A library that implements the "Variant" type from the D-Bus
specification.

%package -n %lname
Summary:        Library implementing the D-Bus Variant type system
Group:          System/Libraries

%description -n %lname
A library that implements the "Variant" type from the D-Bus
specification.

%package devel
Summary:        Development files for the C-DVar library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A library that implements the "Variant" type from the D-Bus
specification.

%prep
%setup -q

%build
%meson --includedir="%_includedir/%name"
%meson_build

%install
%meson_install
perl -i -pe 's{Version:\s*1}{Version: %version}' %buildroot/%_libdir/pkgconfig/*.pc

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n libcdvar0
%defattr(-,root,root)
%_libdir/libcdvar.so.*
%doc COPYING LICENSE

%files devel
%defattr(-,root,root)
%_includedir/%name/
%_libdir/libcdvar.so
%_libdir/pkgconfig/*.pc

%changelog
* Mon Mar  5 2018 jengelh@inai.de
- Update to snapshot 1.7
  * Fix truncation on 64bit deserializer reader
* Thu Aug 24 2017 jengelh@inai.de
- Initial package (c-dvar 1.git2) for build.opensuse.org
